## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface SybaseASERangePartition

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SybaseASEPartition

All Known Implementing Classes:
  SybaseASERangePartitionImpl

    public interface SybaseASERangePartition

extends SybaseASEPartition, SQLObject

A representation of the model object 'Sybase ASE Range Partition'.

The following features are supported:

- `Columns`
- `Range Partition Items`

See Also:
  `PartitionPackage.getSybaseASERangePartition()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumns()` Returns the value of the 'Columns' reference list.
`org.eclipse.emf.common.util.EList` `getRangePartitionItems()` Returns the value of the 'Range Partition Items' reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumns

    org.eclipse.emf.common.util.EList getColumns()

  Returns the value of the 'Columns' reference list. The list contents are of type `Column`.

  If the meaning of the 'Columns' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Columns' reference list.
  See Also:
    `PartitionPackage.getSybaseASERangePartition_Columns()`

### getRangePartitionItems

    org.eclipse.emf.common.util.EList getRangePartitionItems()

  Returns the value of the 'Range Partition Items' reference list. The list contents are of type `ListRangePartitionItem`.

  If the meaning of the 'Range Partition Items' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Range Partition Items' reference list.
  See Also:
    `PartitionPackage.getSybaseASERangePartition_RangePartitionItems()`